com.ietnet.fse.igestore.impl

## Interface IGestoreConsensoConstants

-     public interface IGestoreConsensoConstants

  Author:
    meola

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ENTITY_MANAGER_FACTORY_ATTRIBUTE_NAME`
    `static java.lang.String` | `ID_DISCLOSURE_DEFAULT`
    `static java.lang.String` | `QUERY_ACCESS_LOG_BY_DATES_AND_PATIENT_ID`
    `static java.lang.String` | `QUERY_ACCESS_LOG_BY_DATES_AND_PATIENT_ID_AND_OPERATIONS`
    `static java.lang.String` | `QUERY_DOCUMENT_BLINDING_BY_PATIENT_ID_CURRENT`
    `static java.lang.String` | `QUERY_DOCUMENT_TYPES_VALID`
    `static java.lang.String` | `QUERY_FUORI_REGIONE_AGREEMENT_BY_PATIENT_ID_CURRENT`
    `static java.lang.String` | `QUERY_GENERIC_AGREEMENT_BY_PATIENT_ID_CURRENT`
    `static java.lang.String` | `QUERY_GENERIC_DISCLOSURE`
    `static java.lang.String` | `QUERY_IS_DISCLOSURE_ACCEPTED`
    `static java.lang.String` | `QUERY_POLICY_RULES_ENABLED`
    `static java.lang.String` | `QUERY_PREGRESSO_AGREEMENTPREG_BY_PATIENT_ID_CURRENT`
    `static java.lang.String` | `QUERY_PUNCTUAL_AGREEMENT_BY_PATIENT_ID_CURRENT`
    `static java.lang.String` | `QUERY_ROLE_AGREEMENTS_BY_PATIENT_ID_CURRENT`
    `static java.lang.String` | `QUERY_ROLE_BY_COD_SIST`
    `static java.lang.String` | `QUERY_ROLES_VALID`
    `static java.lang.String` | `SERVICE_GET_AGREEMENTS`
    `static java.lang.String` | `SERVICE_GET_PREVIOUS_AGREEMENT`
    `static java.lang.String` | `SERVICE_GET_READING_AGREEMENT`
    `static java.lang.String` | `SERVICE_GET_WRITING_AGREEMENT`
    `static java.lang.String` | `VALUE_OFF`
    `static java.lang.String` | `VALUE_ON`
    `static java.lang.String` | `VALUE_UNDEFINED`

- - ### Field Detail

    - #### SERVICE_GET_WRITING_AGREEMENT

          static final java.lang.String SERVICE_GET_WRITING_AGREEMENT

      See Also:
        Constant Field Values

    - #### SERVICE_GET_READING_AGREEMENT

          static final java.lang.String SERVICE_GET_READING_AGREEMENT

      See Also:
        Constant Field Values

    - #### SERVICE_GET_PREVIOUS_AGREEMENT

          static final java.lang.String SERVICE_GET_PREVIOUS_AGREEMENT

      See Also:
        Constant Field Values

    - #### SERVICE_GET_AGREEMENTS

          static final java.lang.String SERVICE_GET_AGREEMENTS

      See Also:
        Constant Field Values

    - #### ID_DISCLOSURE_DEFAULT

          static final java.lang.String ID_DISCLOSURE_DEFAULT

      See Also:
        Constant Field Values

    - #### ENTITY_MANAGER_FACTORY_ATTRIBUTE_NAME

          static final java.lang.String ENTITY_MANAGER_FACTORY_ATTRIBUTE_NAME

      See Also:
        Constant Field Values

    - #### QUERY_DOCUMENT_BLINDING_BY_PATIENT_ID_CURRENT

          static final java.lang.String QUERY_DOCUMENT_BLINDING_BY_PATIENT_ID_CURRENT

      See Also:
        Constant Field Values

    - #### QUERY_GENERIC_AGREEMENT_BY_PATIENT_ID_CURRENT

          static final java.lang.String QUERY_GENERIC_AGREEMENT_BY_PATIENT_ID_CURRENT

      See Also:
        Constant Field Values

    - #### QUERY_FUORI_REGIONE_AGREEMENT_BY_PATIENT_ID_CURRENT

          static final java.lang.String QUERY_FUORI_REGIONE_AGREEMENT_BY_PATIENT_ID_CURRENT

      See Also:
        Constant Field Values

    - #### QUERY_PREGRESSO_AGREEMENTPREG_BY_PATIENT_ID_CURRENT

          static final java.lang.String QUERY_PREGRESSO_AGREEMENTPREG_BY_PATIENT_ID_CURRENT

      See Also:
        Constant Field Values

    - #### QUERY_PUNCTUAL_AGREEMENT_BY_PATIENT_ID_CURRENT

          static final java.lang.String QUERY_PUNCTUAL_AGREEMENT_BY_PATIENT_ID_CURRENT

      See Also:
        Constant Field Values

    - #### QUERY_ROLE_AGREEMENTS_BY_PATIENT_ID_CURRENT

          static final java.lang.String QUERY_ROLE_AGREEMENTS_BY_PATIENT_ID_CURRENT

      See Also:
        Constant Field Values

    - #### QUERY_ACCESS_LOG_BY_DATES_AND_PATIENT_ID

          static final java.lang.String QUERY_ACCESS_LOG_BY_DATES_AND_PATIENT_ID

      See Also:
        Constant Field Values

    - #### QUERY_ACCESS_LOG_BY_DATES_AND_PATIENT_ID_AND_OPERATIONS

          static final java.lang.String QUERY_ACCESS_LOG_BY_DATES_AND_PATIENT_ID_AND_OPERATIONS

      See Also:
        Constant Field Values

    - #### QUERY_GENERIC_DISCLOSURE

          static final java.lang.String QUERY_GENERIC_DISCLOSURE

      See Also:
        Constant Field Values

    - #### QUERY_IS_DISCLOSURE_ACCEPTED

          static final java.lang.String QUERY_IS_DISCLOSURE_ACCEPTED

      See Also:
        Constant Field Values

    - #### QUERY_DOCUMENT_TYPES_VALID

          static final java.lang.String QUERY_DOCUMENT_TYPES_VALID

      See Also:
        Constant Field Values

    - #### QUERY_ROLES_VALID

          static final java.lang.String QUERY_ROLES_VALID

      See Also:
        Constant Field Values

    - #### QUERY_ROLE_BY_COD_SIST

          static final java.lang.String QUERY_ROLE_BY_COD_SIST

      See Also:
        Constant Field Values

    - #### QUERY_POLICY_RULES_ENABLED

          static final java.lang.String QUERY_POLICY_RULES_ENABLED

      See Also:
        Constant Field Values

    - #### VALUE_ON

          static final java.lang.String VALUE_ON

      See Also:
        Constant Field Values

    - #### VALUE_OFF

          static final java.lang.String VALUE_OFF

      See Also:
        Constant Field Values

    - #### VALUE_UNDEFINED

          static final java.lang.String VALUE_UNDEFINED

      See Also:
        Constant Field Values